import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { FleioApiService } from '../fleio-api.service';
import { ConfigService } from '../../config/config.service';
import { Observable } from 'rxjs';


@Injectable({
  providedIn: 'root'
})
export class DynamicUiApiService extends FleioApiService<any> {
  constructor(protected httpClient: HttpClient, protected config: ConfigService) {
    super();
    this.setEndpoint(config.getPanelApiUrl('dynamic-ui'));
  }

  getAppMenu(): Observable<any> {
    return this.getAction('get_app_menu');
  }
}
